Solr 4.1

Solr 4.1 does not work (yet) with Magento EE 1.12 - use Solr version 3.6 for now!

This will be a short post, I just want to let people know how much trouble I've had trying to find something definitive that calls out how the Magento Solr integration built-into Magento Enterprise Edition v1.12 does NOT SUPPORT Solr version 4.1 - in fact, I still can't find any "smoking gun" documentation to confirm this, only a handful of reports about various bugs when using 4.1 such as this one regarding "Unknown commit parameter waitFlush" found on Stack Overflow:

http://stackoverflow.com/questions/14621197/solr-4-1-throws-unknown-comm...

It's surprising that there's not clearer (any?) documentation specifying the major revision of Solr to use. It's probably out there, and I suppose someone will rub my nose in it soon, but we've been scouring the Internet and haven't found anything that makes this more obvious.

Tags: 

Subscribe to RSS - Solr 4.1